Project

General

Profile

Bug #1849

apk can not install local .apk's on AL 2.6.0_rc2

Added by Mika Havela about 6 years ago. Updated about 6 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Aports
Target version:
Start date:
05/08/2013
Due date:
% Done:

0%

Estimated time:
Affected versions:
Security IDs:

Description

I have a package available in http repository.
Next I created a .apk (updated version) and saved it in /mnt/ and tried installing the package from /mnt (didn't want to use the one from http repository).

# apk update
fetch http://nl.alpinelinux.org/alpine/v2.6/main/x86/APKINDEX.tar.gz
main v2.6.0_rc3-22-g38d2ade [http://nl.alpinelinux.org/alpine/v2.6/main]
OK: 3900 distinct packages available
# apk search iaxmodem
iaxmodem-1.2.0-r4
iaxmodem-doc-1.2.0-r4
# ls /mnt
iaxmodem-1.2.0-r5
# apk verify /mnt/iaxmodem-1.2.0-r5.apk
/mnt/iaxmodem-1.2.0-r5.apk: 0 - OK
# apk add -v /mnt/iaxmodem-1.2.0-r5.apk
ERROR: 1 unsatisfiable dependencies:
  world: iaxmodem><{somehash}
# apk add -v -f /mnt/iaxmodem-1.2.0-r5.apk
(1/1) Installing iaxmodem (1.2.0-r4)
# apk version apk-tools
apk-tools 2.3.4-r0

Note that it installs '-r4' even if I am trying to install the local '-r5' package.

History

#1 Updated by Mika Havela about 6 years ago

  • Status changed from New to Resolved

Issue seems to be gone.
I can't figure out what made a difference. But it could have something to do with the packages that has been updated since I installed _rc2.

Problem resolved after:

apk update
apk upgrade
reboot

#2 Updated by Natanael Copa about 6 years ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF